org.eclnt.jsfserver.util

## Class HttpSessionListenerDelegator

- java.lang.Object
- - org.eclnt.jsfserver.util.HttpSessionListenerDelegator

- All Implemented Interfaces:
    java.io.Serializable

      public class HttpSessionListenerDelegator
      extends java.lang.Object
      implements java.io.Serializable

  Central HttpSessionListener implementation that allows to add IHttpSessionClosedReactor instances at runtime. This is a convenience implementation for getting notified when an http session is closed by the servlet container.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSessionListenerDelegator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReactor(java.lang.String id, IHttpSessionClosedReactor listener)` The reactor is passed, associated with a certain id.
    `IHttpSessionClosedReactor` | `getReactor(java.lang.String id)` Get reactor for a certain id.
    `void` | `removeReactor(java.lang.String id)`
    `void` | `sessionCreated(HttpSessionEvent event)`
    `void` | `sessionDestroyed(HttpSessionEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpSessionListenerDelegator

          public HttpSessionListenerDelegator()

  - ### Method Detail

    - #### sessionCreated

          public void sessionCreated(HttpSessionEvent event)

    - #### sessionDestroyed

          public void sessionDestroyed(HttpSessionEvent event)

    - #### addReactor

          public void addReactor(java.lang.String id,
                                 IHttpSessionClosedReactor listener)

      The reactor is passed, associated with a certain id. There is no certain meaning behind the id, you may use the id for checking from outside if a certain listener already was set using the getReactor(id) method.

    - #### removeReactor

          public void removeReactor(java.lang.String id)

    - #### getReactor

          public IHttpSessionClosedReactor getReactor(java.lang.String id)

      Get reactor for a certain id.

Copyright © CaptainCasa Gmbh. All Rights Reserved.